VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::TagAssociationTypes::ObjectToTags Class Reference

The `TagAssociation.ObjectToTags` class describes an object and its related tags. More...

List of all members.

## Public Member Functions
| ObjectToTags ()
| Creates a default new instance.
vmware.vapi.std.DynamicID | GetObjectId ()
| The identifier of the object.
void | SetObjectId (vmware.vapi.std.DynamicID objectId)
| The identifier of the object.
global::System.Collections.Generic.List < string > | GetTagIds ()
| The identifiers of the related tags.
void | SetTagIds (global::System.Collections.Generic.List< string > tagIds)
| The identifiers of the related tags.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `TagAssociation.ObjectToTags` class describes an object and its related tags.

Use the TagAssociation.ListAttachedTagsOnObjects method to retrieve a list with each element containing an object and the tags attached to it.

## Constructor & Destructor Documentation

vmware::cis::tagging::TagAssociationTypes::ObjectToTags::ObjectToTags | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::TagAssociationTypes::ObjectToTags::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::TagAssociationTypes::ObjectToTags::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::TagAssociationTypes::ObjectToTags::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::TagAssociationTypes::ObjectToTags::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::TagAssociationTypes::ObjectToTags::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::TagAssociationTypes::ObjectToTags::Equals | ( | object | obj | ) | `[inline]`

override int vmware::cis::tagging::TagAssociationTypes::ObjectToTags::GetHashCode | ( |  | ) | `[inline]`

vmware.vapi.std.DynamicID vmware::cis::tagging::TagAssociationTypes::ObjectToTags::GetObjectId | ( |  | ) | `[inline]`

The identifier of the object.

global::System.Collections.Generic.List<string> vmware::cis::tagging::TagAssociationTypes::ObjectToTags::GetTagIds | ( |  | ) | `[inline]`

The identifiers of the related tags.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

void vmware::cis::tagging::TagAssociationTypes::ObjectToTags::SetObjectId | ( | vmware.vapi.std.DynamicID | objectId | ) | `[inline]`

The identifier of the object.

void vmware::cis::tagging::TagAssociationTypes::ObjectToTags::SetTagIds | ( | global::System.Collections.Generic.List< string > | tagIds | ) | `[inline]`

The identifiers of the related tags.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

override string vmware::cis::tagging::TagAssociationTypes::ObjectToTags::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TagAssociationTypes.cs